Subject: bug#7951: 23.1; SIG_HUP handler infinite loop?

From: Alan Malloy <[email-masked]>
Date: Mon, 31 Jan 2011 14:46:34 -0800

I was not using -Q (didn't know about it), but having gotten your 
suggestion I tried it and still see the buggy behavior.

On 01/31/2011 02:41 PM, Glenn Morris wrote:
> Alan Malloy wrote:
>
>> 1. ssh into my machine from somewhere else
>>
>> 2. fire up emacs in terminal mode
>>
>> 3. suspend the emacs process with C-z
>>
>> 4. violently kill the ssh process on the other machine, so that it
>> doesn't send a clean logout
>>
>> Symptoms:
>>
>> The emacs process remains alive on my machine, quickly climbs to 100%
>> CPU usage,
> Is this with `emacs -Q -nw'? Because I could not reproduce it with
> Emacs 23.1 or 23.2 using -Q. If it does not happen with -Q, please try
> to narrow down a precise recipe starting from -Q.
>
>> In GNU Emacs 23.1.1 (i486-pc-linux-gnu, X toolkit, Xaw3d scroll bars)
>>   of 2010-11-23 on rothera, modified by Debian

-- 
------------------------------------------------------------------------
Alan Malloy
HubPages <www.hubpages.com> software engineer
415-273-9702
[email-masked] <mailto:[email-masked]>